News:

Wondering if this will always be free?  See why free is better.

Main Menu

Some updates on SMF 2.1

Started by emanuele, September 02, 2012, 04:39:44 PM

Previous topic - Next topic

spiros

Quote from: emanuele link=topic=485590.msg3459490#msg3459490TBH the current development of smCore is not exactly "active".

Lol, indeed.

Mstcool

Awesome I will be testing this out.

Morph_nkgc

Since i have to upgrade soon my smf 1.1.x forum, i wanna try this new branch, so, just a question: how can i install it without installer?  O:)  :o

Arantor

Long story short, you can't. Then again you shouldn't be upgrading to 2.1 at this stage anyway unless you're a competent programmer or willing to understand that some things will likely be very very broken, because that's what *alpha* means.

Upgrading to 2.0 on the other hand (rather than 2.1) is easy, use the large upgrade pack. Note your themes and mods will need to be replaced or updated.
Holder of controversial views, all of which my own.

Morph_nkgc

i just wanna try it, i don't wanna upgrade yet, so i need a fresh install, and now i find this article that could help me i hope :
http://wiki.simplemachines.org/smf/User:Emanuele/guide/How_to_create_an_install_from_repo

:)

A question to developers, may i upgrade to 2.0.x and upgrade to 2.1 after with semplicity and without work too much? i need to create a theme and every times i have to patch manually the forum....

Arantor

Yes, you can upgrade your current install to 2.0 and then to 2.1 later on.

However you will need to replace your mods and themes from 1.1.x to 2.0 and almost certainly again from 2.0 to 2.1 given the default theme changes that are quite substantial.
Holder of controversial views, all of which my own.

Kindred

yes... you will usually need to recreate themes between major and minor versions
1.0 was different from 1.1 was different from 2.0. 2.1 is closer to 2.0, but will still require changes
Слaва
Украинi

Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

"Loki is not evil, although he is certainly not a force for good. Loki is... complicated."

Herman's Mixen

Also its not recommended to use 2.1 in a "live site setup"

if you want to test it setup a test environment.

Themes other than default will fail !! - without any fix - even the copy one ;)
Mods should not use one - just test it !!

The themes needed some adjustment but can be done :)

Met vriendelijke groet, The Burglar!

 House Mixes | Mixcloud | Any Intelligent fool can make things bigger, more complex, and more violent.
It takes a touch of genius - and a lot of courage - to move in the opposite direction. - Albert Einstein

Former Godfather of our dutch community ;)

Kindred

As a note, it looks like mods designed to completely use the hooks system (i.e. no source or template edits) will mostly work on 2.1 with little to no work
Слaва
Украинi

Please do not PM, IM or Email me with support questions.  You will get better and faster responses in the support boards.  Thank you.

"Loki is not evil, although he is certainly not a force for good. Loki is... complicated."

Herman's Mixen

Those work fine, although other mods with edits to sources/templates will also work (Not all but some will do) !!
Met vriendelijke groet, The Burglar!

 House Mixes | Mixcloud | Any Intelligent fool can make things bigger, more complex, and more violent.
It takes a touch of genius - and a lot of courage - to move in the opposite direction. - Albert Einstein

Former Godfather of our dutch community ;)

Morph_nkgc


Xarcell

I wanted to voice my opinion about 2.1 thus far.

So far, Overall I like it. Alot.

This was the first time I had heard of SCEditor, and really like it. I may adopt it instead of using Markitup. I just wonder how customizable it is?

Is 2.1 forkable?

Arantor

Yes, as per the notes on Github, it is entirely forkable.
Holder of controversial views, all of which my own.

maxg

#273
As far as the alpha 2.1 theme it is very nice to customize and I've done several already...But did some with the changes done offline then uploaded.  If you make a copy of the default it will not render all the css files need so, you will need to create a copy then, just ad the admin.css to you CSS folder manually.

Note it also has a problem that emanuele is working out the minor token kinks in the Sources/Theme.php and template files ( you can scroll up this thread and find some discussions on this.
http://www.simplemachines.org/community/index.php?topic=485590.msg3459025#msg3459025
the problem is that the admin> current theme > edits would not save, but if you follow the links above you'll find the corrections to make this work!

I am running this alpha on my localhost (pc) and online test site and I'm have a ball working with it with very little problems, at least user related issue, But like mentioned it is alpha and should not be used on a live site, mainly for security reasons.

Simply Put I'm am very happy with the way it's going and thanks goes out to all involved!

regards,
maxx

Mstcool

Just wondering....For the current version is says 1.1.17 and not 2.0.3. May I ask why its like that?

live627

You most likely use 1.1.x, no?

emanuele

Fetch again the data.
From time to time if there are issues fetching the files from sm.org it shows the latest 1.1.x version instead of the 2.0


Take a peek at what I'm doing! ;D




Hai bisogno di supporto in Italiano?

Aiutateci ad aiutarvi: spiegate bene il vostro problema: no, "non funziona" non è una spiegazione!!
1) Cosa fai,
2) cosa ti aspetti,
3) cosa ottieni.

Mstcool

@live627 nope
& @emanuele tried fetching but still shows 1.1.17 is the current

emanuele

Oh, wait a moment, we are talking about 2.1...sorry I thought it was the 2.0.3 patch topic... lol

In that case is simply because 2.1 is not yet considered and when SMF asks for 2.1 sm.org returns 1.1.17 (most likely there is a comparison: $ver != 2.0 => 1.1 or something like that).


Take a peek at what I'm doing! ;D




Hai bisogno di supporto in Italiano?

Aiutateci ad aiutarvi: spiegate bene il vostro problema: no, "non funziona" non è una spiegazione!!
1) Cosa fai,
2) cosa ti aspetti,
3) cosa ottieni.

Mstcool

Lol aha alright! Its alright and Thank you for notifying me even though I have no idea what $ver is (some php code I believe) because i don't code yet lol. Anyways emanuele Happy Late New Year! :D :) 8) ;)

Advertisement: